---
title: ServiceWorkerRegistration.onupdatefound
slug: Web/API/ServiceWorkerRegistration/onupdatefound
tags:
  - API
  - Property
  - Reference
  - Référence(2)
  - Service Workers
  - ServiceWorkerRegistration
  - onupdatefound
---
<div>{{APIRef("Service Workers API")}}</div>

<p>The <code><strong>onupdatefound</strong></code> property of the {{domxref("ServiceWorkerRegistration")}} interface is an {{domxref("EventListener")}} property called whenever an event of type <code>statechange</code> is fired; it is fired any time the {{domxref("ServiceWorkerRegistration.installing")}} property acquires a new service worker.</p>

<div class="note">
<p><strong>Note</strong>: This feature is available in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>serviceWorkerRegistration</em>.onupdatefound = function() { ... };</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#dom-serviceworkerregistration-onupdatefound', 'ServiceWorkerRegistration.onupdatefound')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerRegistration.onupdatefound")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li><a href="https://github.com/mdn/sw-test">Service workers basic code example</a></li>
 <li><a href="https://jakearchibald.github.io/isserviceworkerready/">Is ServiceWorker ready?</a></li>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Workers_API/Using_web_workers">Using web workers</a></li>
</ul>
